osl::stat::TwoDimensionalStatistics::Data Class Reference

## Public Member Functions

void | add (const double &x, const double &y)
void | merge (const Data &r)
void | clear ()

## Public Attributes

Average | m_x
Average | m_y
Average | m_x2
Average | m_y2
Average | m_xy

## Detailed Description

Definition at line 7 of file twoDimensionalStatistics.cc.

## Member Function Documentation

## add()

void osl::stat::TwoDimensionalStatistics::Data::add | ( | const double & | x,
|  | const double & | y )

inline

Definition at line 13 of file twoDimensionalStatistics.cc.

References m_x, m_x2, m_xy, m_y, and m_y2.

## clear()

void osl::stat::TwoDimensionalStatistics::Data::clear | ( |  | ) |

inline

Definition at line 29 of file twoDimensionalStatistics.cc.

References m_x, m_x2, m_xy, m_y, and m_y2.

## merge()

void osl::stat::TwoDimensionalStatistics::Data::merge | ( | const Data & | r | ) |

inline

Definition at line 21 of file twoDimensionalStatistics.cc.

References m_x, m_x2, m_xy, m_y, and m_y2.

## Member Data Documentation

## m_x

Average osl::stat::TwoDimensionalStatistics::Data::m_x

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

## m_x2

Average osl::stat::TwoDimensionalStatistics::Data::m_x2

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

## m_xy

Average osl::stat::TwoDimensionalStatistics::Data::m_xy

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

## m_y

Average osl::stat::TwoDimensionalStatistics::Data::m_y

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

## m_y2

Average osl::stat::TwoDimensionalStatistics::Data::m_y2

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

The documentation for this class was generated from the following file:

- twoDimensionalStatistics.cc